# List probe executions

List probe executions for a given risk identity

Endpoint: GET /gateway/chaos/manager/api/v3/risks/{identity}/active-risks
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `endTime` (integer)

  - `includeAllScope` (boolean)

  - `limit` (integer)

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `page` (integer)

  - `projectIdentifier` (string)
    project id to access the resource

  - `search` (string)
    name that you want to search

  - `sortAscending` (boolean)
    if sort order ascending or not

  - `sortField` (string)
    field  name that you want to sort
    Enum: "name", "lastUpdated", "experimentName"

  - `startTime` (integer)

  - `status` (string)
    Enum: "Passed", "Failed"

  - `tags` (string)

## Path parameters:

  - `identity` (string, required)
    risk identity

## Response 200 fields (application/json):

  - `correlationID` (string)

  - `data` (array)

  - `data.duration` (string)

  - `data.executedBy` (object)

  - `data.executedBy.email` (string)

  - `data.executedBy.userID` (string)

  - `data.executedBy.username` (string)

  - `data.executionID` (integer)

  - `data.executionType` (string)
    Enum: "CHAOS_EXECUTION", "DR_EXECUTION"

  - `data.lastUpdatedAt` (integer)

  - `data.name` (string)

  - `data.parentIdentity` (string)

  - `data.probeID` (string)

  - `data.probeName` (string)

  - `data.runID` (string)

  - `data.startedAt` (integer)

  - `data.status` (string)
    Enum: "Queued", "Error", "Completed_With_Probe_Failure", "Completed_With_Probe_Absent", "Pending", "Running", "Stopped", "Completed", "Failed", "Passed", "Skipped", "Interrupted"

  - `pagination` (object)

  - `pagination.index` (integer)

  - `pagination.limit` (integer)

  - `pagination.totalItems` (integer)

  - `pagination.totalPages` (integer)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


